package com.sun.corba.se.impl.resolver;

import java.util.Set;
import com.sun.corba.se.spi.orbutil.closure.Closure;
import org.omg.CORBA.Object;
import java.util.HashMap;
import java.util.Map;
import com.sun.corba.se.spi.resolver.LocalResolver;

public class LocalResolverImpl implements LocalResolver
{
    Map nameToClosure;
    
    public LocalResolverImpl() {
        this.nameToClosure = new HashMap();
    }
    
    public synchronized org.omg.CORBA.Object resolve(String s) {
        Closure closure = (Closure)this.nameToClosure.get(s);
        if (closure == null) {
            return null;
        }
        return (org.omg.CORBA.Object)(org.omg.CORBA.Object)closure.evaluate();
    }
    
    public synchronized Set list() {
        return this.nameToClosure.keySet();
    }
    
    public synchronized void register(String s, Closure closure) {
        this.nameToClosure.put(s, closure);
    }
}
